

{function name=categoriesprint  categories=null}

{if is_array($categories) && !empty($categories)}
{foreach $categories as $k => $v}
<li>
    {if array_key_exists('childrens',$v) && !empty($v['childrens'])}
    {$v['name']}
    <ul>{categoriesprint categories=$v['childrens']}</ul>
    {else}
    <label for="cat[{$k}]">
        <input id="cat[{$k}]" name="categories[]" type="checkbox" value="{$k}"> {$v['name']}
    </label>
    {/if}
</li>
{/foreach}

{else}

{/if}

{/function}


<style>
    .prices-block   .menu-v li{
        padding: 0;
        padding-top: 3px;
    }
    .menu-v.prices-categories li {
        padding: 0;
        padding-top: 3px;
    }
    .prices-block {
        padding-left: 20px;
        margin-bottom: 20px;
    }
    .prices-block .menu-v.prices label {
        padding-left: 20px;
    }
    .prices-block .menu-v.prices li  {
        padding: 2px;
    }
</style>
<script src="{$wa_app_static_url}js/products.js?v={$wa->version()}" type="text/javascript"></script>
<link rel="stylesheet" href="{$wa_app_static_url}css/products.css?v={$wa->version()}">

<div class="block bordered-left">
    <h1 style="padding: 10px;">Выгрузка состава</h1>
    <div class="block double-padded">
        <form action="" method="get">
            <input type="hidden" name="module" value="importexport">
            <input type="hidden" name="action" value="composition">
            <div class="fields form">
                <div class="field-group">
                    <div class="field">
                        <div class="name">Введите название файла:</div>
                        <div class="value"><input name="name" value="price"> .xls</div>
                    </div>
                    <div class="field">
                        <div class="name">Выберите тип прайса:</div>
                        <div class="value">
                            <select name="type">
                                <option value="0">Состав</option>
                                <option value="1">Расширенный состав</option>
                            </select>
                            <input type="hidden" name="lists" value="yes">
                        </div>
                    </div>
                </div>
                <div class="field-group">
                    <div class="field">
                        <div class="name">Выберите категории:</div>
                        <div class="value">
                            {$categories = $wa->manufactory->categoriesThree()}
                            <ul class="prices-categories menu-v">
                                {categoriesprint categories=$categories}
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="field-group">
                    <div class="field">
                        <div class="name">Выберите цены:</div>
                        <div class="value">
                            <ul class="menu-v prices">
                                {foreach $prices as $k => $v}
                                <li {if $v->getType()=='delimiter'}class="delimiter"{/if}>
                                    {if $v->getType()=='delimiter'}
                                    <h3>{$v->getName()}</h3>
                                    {else}
                                    <label for="price_{$k}"><input id="price_{$k}" name="prices[{$k}]" type="checkbox"  value="{$k}" > {$v->getName()}</label><br>
                                    {/if}
                                </li>
                                {/foreach}
                            </ul>
                        </div>
                    </div>
                </div>
                <!--  <h3>Выберите  размеры:</h3>
                  <div class="prices-block">
                      <ul class="menu-v">
                  {foreach $Pricing->getFeaturesSkus() as $k => $v}
                          <li>
                              <label><input id="sizes_{$k}" name="sizes[{$k}]" type="checkbox"  value="{$k}" > {$Pricing->getSkuIndexName($k)}</label><br>
                          </li>
                  {/foreach}
                          </ul>
                      </div>
                  <div>-->
                <div class="field">
                    <div class="name"></div>
                    <div class="value">
                        <input type="submit" value="Сформировать" class="button blue">
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

    <style type="text/css">
        {literal}
        .price-delimiter {
            text-align: center;
            background-color: #bfddfb !important;
            font-size: 14px;
            font-weight: bold;
        }
        {/literal}
    </style>